classification
Title: Mach-O gcc optimisation flag can boost performance up to 10%
Type: performance Stage:
Components: macOS Versions:
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: jackjansen Nosy List: bob.ippolito, jackjansen, jvr
Priority: normal Keywords:

Created on 2003-05-09 09:02 by jvr, last changed 2008-03-16 21:28 by jvr. This issue is now closed.

Messages (2)
msg60327 - (view) Author: Just van Rossum (jvr) * (Python triager) Date: 2003-05-09 09:02
This article:
  http://www.unsanity.org/archives/000044.php
says that the -mdynamic-no-pic gcc flag can boost performance of 
statically linked apps around 10%. Testing this with a non-framework 
build of Python shows this is indeed the case.
msg60328 - (view) Author: Bob Ippolito (bob.ippolito) * (Python committer) Date: 2006-07-15 17:09
Logged In: YES 
user_id=139309

This isn't really relevant, Mac OS X builds of Python are built as a shared library 
or framework (same thing, basically). Both cases require PIC.
History
Date User Action Args
2008-03-16 21:28:11jvrsetstatus: open -> closed
resolution: rejected
2008-03-16 21:07:55georg.brandlsettype: enhancement -> performance
2003-05-09 09:02:19jvrcreate